# Checkbox

Checkboxes allow the user to select one or more items from a set.

## Checkboxes

![](/files/-MAgAUejzReMLrhf_ybH)

Checkboxes can be disabled and checked by default

```
New-UDCheckBox
New-UDCheckBox -Disabled
New-UDCheckBox -Checked $true
New-UDCheckBox -Checked $true -Disabled
```

## Checkboxes with custom icon

![](/files/-MAgAXOSGYu43ElHps1a)

Create checkboxes that use any icon and style.

```
$Icon = New-UDIcon -Icon angry -Size lg -Regular
$CheckedIcon = New-UDIcon -Icon angry -Size lg
New-UDCheckBox -Icon $Icon -CheckedIcon $CheckedIcon -Style @{color = '#2196f3'}
```

## Checkboxes with onChange script block

Create checkboxes that fire script blocks when changed.

```
New-UDCheckBox -OnChange {
    Show-UDToast -Title 'Checkbox' -Message $Body
}
```

## Checkbox with custom label placement

![](/files/-MAgA_Bm2iW6M-JOjDPm)

You can adjust where the label for the checkbox is placed.

```
New-UDCheckBox -Label 'Demo' -LabelPlacement start
New-UDCheckBox -Label 'Demo' -LabelPlacement top
New-UDCheckBox -Label 'Demo' -LabelPlacement bottom
New-UDCheckBox -Label 'Demo' -LabelPlacement end
```

## Get the value of a Checkbox

You can use `Get-UDElement` to get the value of the checkbox. `Get-UDElement` will also return other properties of the checkbox component.

The following example shows a toast message with the value of the checkbox.

```
New-UDCheckbox -Id 'MyCheckbox' 

New-UDButton -Text 'Get Value' -OnClick {
    Show-UDToast -Message (Get-UDElement -Id 'MyCheckbox').checked
}
```

**New-UDCheckbox**

| Name           | Type            | Description                                                                                                         | Required |
| -------------- | --------------- | ------------------------------------------------------------------------------------------------------------------- | -------- |
| Label          | String          | The label to show next to the checkbox.                                                                             | false    |
| Icon           | Object          | The icon to show instead of the default icon.                                                                       | false    |
| CheckedIcon    | Object          | The icon to show instead of the default checked icon.                                                               | false    |
| OnChange       | Endpoint        | Called when the value of the checkbox changes. The $EventData variable will have the current value of the checkbox. | false    |
| Style          | Hashtable       | A hashtable of styles to apply to the checkbox.                                                                     | false    |
| Disabled       | SwitchParameter | Whether the checkbox is disabled.                                                                                   | false    |
| Checked        | Boolean         | Whether the checkbox is checked.                                                                                    | false    |
| ClassName      | String          | A CSS class to assign to the checkbox.                                                                              | false    |
| LabelPlacement | String          | Where to place the label.                                                                                           | false    |
| Id             | String          | The ID of the component. It defaults to a random GUID.                                                              | false    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v1/dashboard/components/inputs/checkbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
